%define nuser	thttpd-php
%define ngroup	thttpd-php
%define webdir	/var/lib/thttpd-php
%define port	80

Summary: 	HTTP server daemon to provide Administrative WWW services
Name:		thttpd-php
Version:	2.21b
Release:	%mkrel 2
License:	BSD
Group:		System/Servers
URL:		http://www.acme.com/software/thttpd
Source0:	thttpd-%{version}.tar.bz2
Source1:	thttpd-php.init.bz2
Source2:	thttpd-php.conf.bz2
Source3:	thttpd-php-throttle.conf.bz2
Source4:	thttpd-php.logrotate.bz2
Source5:	thttpd-php-index.html.bz2
Patch0:		thttpd-2.21b-php.diff.bz2
Patch1:		thttpd-2.21b-debian.diff.bz2
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	php-devel
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRequires:	gettext-devel
Requires:	php-ctype >= 3:5.1.1
Requires:	php-ftp >= 3:5.1.1
Requires:	php-gettext >= 3:5.1.1
Requires:	php-ini >= 5.1.1
Requires:	php-pcre >= 3:5.1.1
Requires:	php-posix >= 3:5.1.1
Requires:	php-session >= 3:5.1.1
Requires:	php-sysvsem >= 3:5.1.1
Requires:	php-sysvshm >= 3:5.1.1
Requires:	php-tokenizer >= 5.1.1
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
thttpd-php is based on thttpd server (2.21b) + php support

NOTE: this package is highly experimental

%prep

%setup -q -n thttpd-%{version}
%patch0 -p1
%patch1 -p1

bzcat %{SOURCE1} > thttpd-php.init
bzcat %{SOURCE2} > thttpd-php.conf
bzcat %{SOURCE3} > thttpd-php-throttle.conf
bzcat %{SOURCE4} > thttpd-php.logrotate
bzcat %{SOURCE5} > thttpd-php-index.html

cp /usr/src/php-devel/sapi/thttpd/thttpd.c php_thttpd.c
cp /usr/src/php-devel/sapi/thttpd/php_thttpd.h .
cp /usr/src/php-devel/sapi/thttpd/CREDITS CREDITS.php-sapi
cp /usr/src/php-devel/sapi/thttpd/README README.php-sapi
cp /usr/src/php-devel/internal_functions.c .
cp %{_includedir}/php/ext/date/lib/timelib_config.h .
ln -s /usr/src/php-devel/ext .

%build

%configure

%make \
    prefix="%{_prefix}" \
    BINDIR="%{_sbindir}" \
    MANDIR="%{_mandir}" \
    WEBDIR="%{webdir}/html" \
    DEFAULT_USER="%{nuser}" \
    WEBGROUP="%{ngroup}" \
    DEFAULT_PORT="%{port}" \
    CGIBINDIR="%{webdir}/html/cgi-bin" \

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}%{webdir}/html/cgi-bin
install -d %{buildroot}/var/log/thttpd-php
install -d %{buildroot}/var/run/thttpd-php
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_mandir}/man{1,8}

install -m0755 thttpd %{buildroot}%{_sbindir}/thttpd-php
install -m0755 extras/htpasswd %{buildroot}%{_sbindir}/thttpd-php-htpasswd
install -m0755 extras/makeweb %{buildroot}%{_sbindir}/thttpd-php-makeweb
install -m0755 extras/syslogtocern %{buildroot}%{_sbindir}/thttpd-php-syslogtocern
install -m0644 extras/htpasswd.1 %{buildroot}%{_mandir}/man1/thttpd-php-htpasswd.1
install -m0644 extras/makeweb.1 %{buildroot}%{_mandir}/man1/thttpd-php-makeweb.1
install -m0644 extras/syslogtocern.8 %{buildroot}%{_mandir}/man8/thttpd-php-syslogtocern.8
install -m0644 thttpd.8 %{buildroot}%{_mandir}/man8/thttpd-php.8

install -m0755 cgi-bin/printenv %{buildroot}%{webdir}/html/cgi-bin/printenv.cgi
install -m0755 cgi-src/phf %{buildroot}%{webdir}/html/cgi-bin/
install -m0755 cgi-src/redirect %{buildroot}%{webdir}/html/cgi-bin/
install -m0755 cgi-src/ssi %{buildroot}%{webdir}/html/cgi-bin/
install -m0644 cgi-src/redirect.8 %{buildroot}%{_mandir}/man8/thttpd-php-redirect.8
install -m0644 cgi-src/ssi.8 %{buildroot}%{_mandir}/man8/thttpd-php-ssi.8

install -m0755 thttpd-php.init  %{buildroot}%{_initrddir}/thttpd-php
install -m0755 thttpd-php.logrotate  %{buildroot}%{_sysconfdir}/logrotate.d/thttpd-php
install -m0644 thttpd-php.conf %{buildroot}%{_sysconfdir}/thttpd-php.conf
install -m0644 thttpd-php-throttle.conf %{buildroot}%{_sysconfdir}/thttpd-php-throttle.conf
install -m0644 thttpd-php-index.html %{buildroot}%{webdir}/html/index.html

%pre 
%_pre_useradd thttpd-php %{webdir} /bin/sh

%post
%_post_service thttpd-php

%preun
%_preun_service thttpd-php

%postun
%_postun_userdel thttpd-php

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README TODO CREDITS.php-sapi README.php-sapi
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/thttpd-php.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/thttpd-php-throttle.conf
%attr(0755,root,root) %{_initrddir}/thttpd-php
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/thttpd-php
%attr(2755,%{nuser},%{ngroup}) %{_sbindir}/thttpd-php-makeweb
%attr(0755,root,root) %{_sbindir}/thttpd-php-htpasswd
%attr(0755,root,root) %{_sbindir}/thttpd-php-syslogtocern
%attr(0755,root,root) %{_sbindir}/thttpd-php
%attr(0755,%{nuser},%{ngroup}) %dir %{webdir}/html
%attr(0755,%{nuser},%{ngroup}) %dir %{webdir}/html/cgi-bin
%attr(0755,%{nuser},%{ngroup}) %dir /var/log/thttpd-php
%attr(0755,%{nuser},%{ngroup}) %dir /var/run/thttpd-php
%attr(0644,root,root) %config(noreplace) %{webdir}/html/index.html
%attr(0755,root,root) %{webdir}/html/cgi-bin/printenv.cgi
%attr(0755,root,root) %{webdir}/html/cgi-bin/phf
%attr(0755,root,root) %{webdir}/html/cgi-bin/redirect
%attr(0755,root,root) %{webdir}/html/cgi-bin/ssi
%attr(0644,root,root) %{_mandir}/man*/*

%changelog
* Fri Dec 23 2005 Oden Eriksson <oeriksson@mandriva.com> 2.21b-2mdk
- oops, really use php5 :-)

* Fri Dec 23 2005 Oden Eriksson <oeriksson@mandriva.com> 2.21b-1mdk
- renamed from naatd to thttpd-php
- use php5 instead of php4

* Sat Jun 11 2005 Oden Eriksson <oeriksson@mandriva.com> 2.21b-7mdk
- add the apache user in %%pre

* Sat Jun 11 2005 Oden Eriksson <oeriksson@mandriva.com> 2.21b-6mdk
- rebuilt against new php4 major
- fix deps

* Wed Mar 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.21b-5mdk
- use the %%mkrel macro
- rpmlint fixes

* Sun Dec 19 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.21b-4mdk
- rebuilt against php-4.3.10

* Sun Jun 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.21b-3mdk
- heh!, the default config was faulty

* Sat Jun 19 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.21b-2mdk
- added a slightly adjusted security patch from debian

* Wed Jun 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.21b-1mdk
- initial cooker contrib (based on the thttpd package)
